﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.10.24.
 * Idő: 19:08
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace TetheredSun.IO
{
	/// <summary>
	/// Description of WavHeader.
	/// </summary>
	public class WavHeader
	{
		protected uint chunkID;			// 0x52494646
		protected uint chunkSize; 		// size of the RIFF, FMT and DATA chunks - size of ChunkID and Size
		protected uint format;			// 0x57415645
		protected uint subChunk1ID;		// 0x666d7420
		protected uint subChunk1Size; 	// size of the rest of this subchunks from here, 16 for PCM
		protected ushort audioFormat;	// PCM: 1
		protected ushort numberOfChannels;
		protected uint sampleRate;
		protected uint byteRate;		// SampleRate * NumChannels * BitsPerSample / 8
		protected ushort blockAlign; 	// NumChannels * BitsPerSample / 8
		protected ushort bitsPerSample;
		protected uint subChunk2ID;
		protected uint subChunk2Size; 	// NumberOfSamples * NumberOfChannels * BitsPerSample / 8
	
	}
}
