﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2010.12.30.
 * Time: 14:43
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
//
using TetheredSun.Mathematics;

namespace TetheredSun.Medical
{
	/// <summary>
	/// Description of IntervalMean.
	/// </summary>
	public class IntervalSD : SequenceParameter
	{
		public IntervalSD(string unit)
		{
			this.unit = unit;
			this.name = "Interval standard deviation";
			this.value = Double.NaN;
		}
		
		public IntervalSD() : this("s") { }
		
		public override double Evaluate(IList<double> intervals)
		{
			value =  intervals.GetSD(true);
			return value;
		}
	}
}
